Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Markos Chandras (hwoarang)" <hwoarang@g.o>
Subject: gentoo-x86 commit in app-misc/recoll: metadata.xml recoll-1.16.0.ebuild ChangeLog
Date: Mon, 14 Nov 2011 21:18:47 +0000 (UTC)
hwoarang    11/11/14 21:18:47

  Modified:             metadata.xml recoll-1.16.0.ebuild ChangeLog
  Log:
  Fix use flag descriptions. Replace gs with ps use flag. Allow neither fam and inotify to be enabled. Bug #389595. Thanks to Israel G. Lugo <israel.lugo@...>
  
  (Portage version: 2.2.0_alpha74/cvs/Linux x86_64)

Revision  Changes    Path
1.2                  app-misc/recoll/metadata.xml

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/recoll/metadata.xml?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/recoll/metadata.xml?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/recoll/metadata.xml?r1=1.1&r2=1.2

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/recoll/metadata.xml,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- metadata.xml	26 Sep 2011 20:00:37 -0000	1.1
+++ metadata.xml	14 Nov 2011 21:18:47 -0000	1.2
@@ -6,21 +6,25 @@
 	<name>Markos Chandras</name>
 </maintainer>
 <use>
-	<flag name='inotify'>Use the Linux Kenrel notification subsystem for monitoring file alterations</flag>
+	<flag name='inotify'>Use the Linux Kenrel notification subsystem for monitoring file alterations in realtime</flag>
 	<flag name='camelcase'>Enable indexing for camelCase sentences and words</flag>
 	<flag name='audio'>Index audio files</flag>
 	<flag name='chm'>Index chm files</flag>
 	<flag name='dvi'>Index dvi files</flag>
-	<flag name='gs'>Index PostScript files</flag>
-	<flag name='ics'>Index icalendar files</flag>
+	<flag name='ics'>Index iCalendar files</flag>
 	<flag name='info'>Index GNU info files</flag>
 	<flag name='lyx'>Index Latex lyx files</flag>
 	<flag name='msdoc'>Index Microsoft Word documents</flag>
-	<flag name='msppt'>Index Microsoft Power Point documents</flag>
+	<flag name='msppt'>Index Microsoft PowerPoint documents</flag>
 	<flag name='msxls'>Index Microsoft Excel documents</flag>
+	<flag name='pdf'>Index PDF documents</flag>
+	<flag name='ps'>Index PostScript files</flag>
 	<flag name='rtf'>Index Microsoft RTF documents</flag>
-	<flag name='tex'>Index Tex files</flag>
 	<flag name='wordperfect'>Index wordperfect documents</flag>
+	<flag name='session'>Stop monitoring file alterations when X11 session terminates</flag>
+	<flag name='tex'>Index TeX files</flag>
+	<flag name='wordperfect'>Index WordPerfect documents</flag>
+	<flag name='xml'>Index several XML-based formats (Abiword, FictionBook, Kword, Office OpenXML, OpenDocument, SVG)</flag>
 </use>
 <longdescription lang="en">
 </longdescription>



1.2                  app-misc/recoll/recoll-1.16.0.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/recoll/recoll-1.16.0.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/recoll/recoll-1.16.0.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/recoll/recoll-1.16.0.ebuild?r1=1.1&r2=1.2

Index: recoll-1.16.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/recoll/recoll-1.16.0.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- recoll-1.16.0.ebuild	26 Sep 2011 20:00:37 -0000	1.1
+++ recoll-1.16.0.ebuild	14 Nov 2011 21:18:47 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/recoll/recoll-1.16.0.ebuild,v 1.1 2011/09/26 20:00:37 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/recoll/recoll-1.16.0.ebuild,v 1.2 2011/11/14 21:18:47 hwoarang Exp $
 
 EAPI="4"
 
@@ -13,7 +13,7 @@
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-INDEX_HELPERS="audio chm djvu dvi exif gs ics info lyx msdoc msppt msxls pdf rtf tex wordperfect xml"
+INDEX_HELPERS="audio chm djvu dvi exif ps ics info lyx msdoc msppt msxls pdf rtf tex wordperfect xml"
 IUSE="+spell +inotify +qt4 +session camelcase xattr fam ${INDEX_HELPERS}"
 
 DEPEND="
@@ -35,7 +35,7 @@
 	sys-apps/sed
 	|| ( sys-apps/gawk sys-apps/mawk )
 	pdf? ( app-text/poppler )
-	gs? ( app-text/pstotext )
+	ps? ( app-text/pstotext )
 	msdoc? ( app-text/antiword )
 	msxls? ( app-text/catdoc )
 	msppt? ( app-text/catdoc )
@@ -53,7 +53,7 @@
 	info? ( sys-apps/texinfo )
 	"
 
-REQUIRED_USE="^^ ( fam inotify ) session? ( || ( fam inotify ) )"
+REQUIRED_USE="^^ ( fam inotify ( !fam !inotify ) ) session? ( || ( fam inotify ) )"
 
 pkg_pretend() {
 	if use inotify; then
@@ -105,8 +105,6 @@
 		$(use_with fam) \
 		$(use_with inotify) \
 		$(use_enable session x11mon) \
-		${x11monconf} \
-		${famconf} \
 		${qtconf}
 }
 



1.2                  app-misc/recoll/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/recoll/ChangeLog?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/recoll/ChangeLog?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/recoll/ChangeLog?r1=1.1&r2=1.2

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/recoll/ChangeLog,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ChangeLog	26 Sep 2011 20:00:37 -0000	1.1
+++ ChangeLog	14 Nov 2011 21:18:47 -0000	1.2
@@ -1,6 +1,12 @@
 # ChangeLog for app-misc/recoll
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/recoll/ChangeLog,v 1.1 2011/09/26 20:00:37 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/recoll/ChangeLog,v 1.2 2011/11/14 21:18:47 hwoarang Exp $
+
+  14 Nov 2011; Markos Chandras <hwoarang@g.o> metadata.xml,
+  recoll-1.16.0.ebuild:
+  Fix use flag descriptions. Replace gs with ps use flag. Allow neither fam and
+  inotify to be enabled. Bug #389595. Thanks to Israel G. Lugo
+  <israel.lugo@...>
 
 *recoll-1.16.0 (26 Sep 2011)
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in media-gfx/darktable: ChangeLog darktable-0.9.3.ebuild
Next by thread:
gentoo-x86 commit in app-admin/lsyncd: ChangeLog lsyncd-2.0.5.ebuild
Previous by date:
gentoo-x86 commit in media-gfx/darktable: ChangeLog darktable-0.9.3.ebuild
Next by date:
gentoo-x86 commit in app-admin/lsyncd: ChangeLog lsyncd-2.0.5.ebuild


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.